Gtk_SpinButton(3)

NAME - Gtk_SpinButton
numeric Entry with up/down buttons

HEADER REQUIRED
#include <gtk--/spinbutton.h&gt;>

BASE CLASSES
Gtk_Entry(3)

PROPERTIES

adjustment
    Type: GtkAdjustment*

panel
    Type: GdkWindow*

shadow_type
    Type: GtkShadowType

timer
    Type: guint32

ev_time
    Type: guint32

climb_rate
    Type: gfloat

timer_step
    Type: gfloat

update_policy
    Type: GtkSpinButtonUpdatePolicy

in_child
    Type: guint:2

click_child
    Type: guint:2

button
    Type: guint:2

need_timer
    Type: guint:1

timer_calls
    Type: guint:3

digits
    Type: guint:3

numeric
    Type: guint:1

wrap
    Type: guint:1

snap_to_ticks
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    Gtk_SpinButton(gfloat climb_rate=0, gint digits=0);
      create instance
    Gtk_SpinButton(Gtk_Adjustment &adjustment, gfloat climb_rate=0, gint digits=0);
    Gtk_SpinButton(GtkSpinButton *castitem);
    ~Gtk_SpinButton();
    void  set_adjustment(const Gtk_Adjustment &adjustment);
      set a new range/value
    const Gtk_Adjustment*  get_adjustment() const;
      get range/value
    void  set_digits(gint digits);
      set number of decimals
    gfloat  get_value_as_float() const;
      get value
    gint  get_value_as_int() const;
      get value
    void  set_value(gfloat value);
      set value
    void  set_update_policy(GtkSpinButtonUpdatePolicy policy);
    void  set_wrap(bool wrap);
    void  set_numeric(bool numeric);
    void  spin(GtkSpinType direction, gfloat step);
    void  set_shadow_type(GtkShadowType shadow_type);
    void  set_snap_to_ticks(bool snap_to_ticks);
    GtkSpinButton*  gtkobj();
    const GtkSpinButton*  gtkobj() const;
    static bool  isGtkSpinButton(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkSpinButton  BaseObjectType;
    typedef GtkSpinButtonClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_ObjectHandle  adjustment_;

PRIVATE MEMBER INDEX
    static CppClassType  spin_button_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS